This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 841704 - (CVE-2012-3420) CVE-2012-3420 pcp: two memory leaks can lead to pcmd crash or trigger OOM killer
CVE-2012-3420 pcp: two memory leaks can lead to pcmd crash or trigger OOM killer
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120816,repor...
: Security
Depends On: 841298 841319 848451 848629 848630
Blocks: 841708
  Show dependency treegraph
 
Reported: 2012-07-19 18:40 EDT by Vincent Danen
Modified: 2016-03-04 07:52 EST (History)
6 users (show)

See Also:
Fixed In Version: pcp 3.6.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 11:57:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-07-19 18:40:11 EDT
Florian Weimer of the Red Hat Product Security Team discovered two memory leaks in libpcp that can be abused by an unauthenticated remote attacker to crash pmcd (the PCP (Performance Co-Pilot) performance metrics collector daemon) or to consume enough memory to trigger the OOM killer, which may have impact on other processes.
Comment 1 Vincent Danen 2012-07-19 18:41:43 EDT
This CVE comprises of two flaws:

bug #841298  pmcd leaks memory in DoFetch error path
bug #841319  In-band signaling in __pmGetPDU causes pmcd memory leak

Both bugs have respective upstream patches which addresses them.
Comment 3 Huzaifa S. Sidhpurwala 2012-08-16 00:46:46 EDT
Created pcp tracking bugs for this issue

Affects: epel-all [bug 848629]
Comment 5 Fedora Update System 2012-08-20 06:54:46 EDT
pcp-3.6.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-08-20 06:57:17 EDT
pcp-3.6.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-08-21 14:34:28 EDT
pcp-3.6.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-08-21 14:38:15 EDT
pcp-3.6.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-09-17 20:01:06 EDT
pcp-3.6.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.